Bug 1013470 - org.jboss.as.server.deployment.RegisteredDeploymentUnitProcessor has unstable compareTo()
org.jboss.as.server.deployment.RegisteredDeploymentUnitProcessor has unstable...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Server (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ER6
: EAP 6.2.0
Assigned To: Stuart Douglas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 03:23 EDT by Stuart Douglas
Modified: 2013-12-15 11:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:20:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2057 Blocker Resolved org.jboss.as.server.deployment.RegisteredDeploymentUnitProcessor has unstable compareTo() 2016-02-29 21:36 EST

  None (edit)
Description Stuart Douglas 2013-09-30 03:23:19 EDT
Description of problem:

As the description says, org.jboss.as.server.deployment.RegisteredDeploymentUnitProcessor's compareTo is wrong. This can prevent the server booting correctly in some circumstances (e.g. with some versions of JDK8).
Comment 1 Stuart Douglas 2013-09-30 03:24:12 EDT
Proposing for 6.2
Comment 6 Jakub Cechacek 2013-10-29 10:51:39 EDT
Verified for 6.2.0.ER6 based on Stuart's email [1] -- we haven not encountered any issues regarding deployments. 

[1] email mentioned above:
>There is no way to reproduce the circumstances that caused the server to fail to start. AFAIK even on later JDK8 builds it should work fine.
>
>This change is right in the heart of the deployment code, if it is wrong then it >will show up in problems with the deployment process, there is no way to test it in isolation.

Note You need to log in before you can comment on or make changes to this bug.